﻿@model IEnumerable<Vikas.Models.ChatMessage>

@if (Model != null)
{
    foreach (var item in Model)
    {
        if (item.From == ViewBag.UserID)
        {
            <div class="outgoing_msg">
                <div class="sent_msg">
                    <p>
                        @item.Message
                    </p>
                    <span class="time_date"> 11:01 AM    |    June 9</span>
                </div>
            </div>
        }
        else
        {
            <div class="incoming_msg">
                <div class="incoming_msg_img"> <img src="https://ptetutorials.com/images/user-profile.png" alt="sunil"> </div>
                <div class="received_msg">
                    <div class="received_withd_msg">
                        <p>
                           @item.Message
                        </p>
                        <span class="time_date"> 11:01 AM    |    June 9</span>
                    </div>
                </div>
            </div>
        }

    }
}
<div class="outgoing_msg">
    <div class="sent_msg">
        <p>
            Test, which is a new approach to have Test, which is a new approach to have
        </p>
        <span class="time_date"> 11:01 AM    |    June 9</span>
    </div>
</div>

<div class="incoming_msg">
    <div class="incoming_msg_img"> <img src="https://ptetutorials.com/images/user-profile.png" alt="sunil"> </div>
    <div class="received_msg">
        <div class="received_withd_msg">
            <p>
                Test, which is a new approach to have Test, which is a new approach to have
            </p>
            <span class="time_date"> 11:01 AM    |    June 9</span>
        </div>
    </div>
</div>